Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226144

Summary: Merge Review: minicom
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Tyler Owen <tyler.l.owen>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mlichvar
Target Milestone: ---Flags: tyler.l.owen: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-15 12:14:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 19:41:05 UTC
Fedora Merge Review: minicom

http://cvs.fedora.redhat.com/viewcvs/devel/minicom/
Initial Owner: mlichvar@redhat.com

Comment 1 Tyler Owen 2008-01-14 01:50:12 UTC
I will review this package, please look for a full review in a bit

Comment 2 Tyler Owen 2008-01-14 02:28:11 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
13933c8777839f00e3730df23599dc93  minicom-2.2.tar.gz
13933c8777839f00e3730df23599dc93  minicom-2.2.tar.gz1

OK - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
OK - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
        SRPM silent.  
        See note 1.  Not silent, but OK.  Can be fixed with iconv 
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have sane scriptlets.
OK - Should package latest version

Notes:

1. Rpmlint output
RPM:
        minicom.i386: W: file-not-utf8 /usr/share/doc/minicom-2.2/ChangeLog.old
        minicom.i386: W: file-not-utf8 /usr/share/doc/minicom-2.2/AUTHORS
        minicom.i386: W: file-not-utf8 /usr/share/doc/minicom-2.2/pl-translation.txt
        minicom.i386: W: file-not-utf8 /usr/share/doc/minicom-2.2/suomeksi
        minicom.i386: W: file-not-utf8 /usr/share/doc/minicom-2.2/portugues-brasil

APPROVED